## GOCmdContext GOCmdContext |

## Functions

void | go_cmd_context_error ()
void | go_cmd_context_error_export ()
void | go_cmd_context_error_import ()
void | go_cmd_context_error_info ()
void | go_cmd_context_error_info_list ()
void | go_cmd_context_error_invalid ()
void | go_cmd_context_error_system ()
char * | go_cmd_context_get_password ()
void | go_cmd_context_progress_message_set ()
void | go_cmd_context_progress_set ()
void | go_cmd_context_set_sensitive ()
GQuark | go_error_export ()
GQuark | go_error_import ()
GQuark | go_error_invalid ()
GQuark | go_error_system ()

## Object Hierarchy

## Description

## Functions

### go_cmd_context_error ()

    void
    go_cmd_context_error (GOCmdContext *cc,
                          GError *err);

### go_cmd_context_error_export ()

    void
    go_cmd_context_error_export (GOCmdContext *cc,
                                 char const *msg);

### go_cmd_context_error_import ()

    void
    go_cmd_context_error_import (GOCmdContext *cc,
                                 char const *msg);

### go_cmd_context_error_info ()

    void
    go_cmd_context_error_info (GOCmdContext *cc,
                               GOErrorInfo *stack);

### go_cmd_context_error_info_list ()

    void
    go_cmd_context_error_info_list (GOCmdContext *cc,
                                    GSList *stack);

Sends a list of errors to the command context.

#### Parameters

cc | GOCmdContext |
stack | a list of errors. | [element-type GOErrorInfo]

### go_cmd_context_error_invalid ()

    void
    go_cmd_context_error_invalid (GOCmdContext *cc,
                                  char const *msg,
                                  char const *val);

### go_cmd_context_error_system ()

    void
    go_cmd_context_error_system (GOCmdContext *cc,
                                 char const *msg);

### go_cmd_context_get_password ()

    char *
    go_cmd_context_get_password (GOCmdContext *cc,
                                 char const *fname);

#### Returns

### go_cmd_context_progress_message_set ()

    void
    go_cmd_context_progress_message_set (GOCmdContext *gcc,
                                         char const *msg);

### go_cmd_context_progress_set ()

    void
    go_cmd_context_progress_set (GOCmdContext *gcc,
                                 double f);

### go_cmd_context_set_sensitive ()

    void
    go_cmd_context_set_sensitive (GOCmdContext *cc,
                                  gboolean flag);

### go_error_export ()

    GQuark
    go_error_export (void);

#### Returns

### go_error_import ()

    GQuark
    go_error_import (void);

#### Returns

### go_error_invalid ()

    GQuark
    go_error_invalid (void);

#### Returns

### go_error_system ()

    GQuark
    go_error_system (void);

#### Returns

## Types and Values